## debian-edu-config 1.716

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	debconf-set-selections-edu \
	ltsp-arch-debian-edu \
	update-ini-file

SPROGS = cfengine-debian-edu \
	debian-edu-fsautoresize \
	debian-edu-hd-warn \
	debian-edu-hwsetup \
	debian-edu-ltsp \
	debian-edu-ltsp-audiodivert \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	snakeoil-on-ice \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
gosadir    = $(sysconfdir)/gosa
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var
wwwdir     = /etc/debian-edu/www


CFFILES = \
	cf.adduser \
	cf.apache2 \
	cf.apt \
	cf.cfengine \
	cf.cups \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.iceweasel \
	cf.inetd \
	cf.kdm \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.bind \
	cf.ltsp \
	cf.pxeinstall \
	cf.fstab \
	cf.nagios3 \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.syslog \
	cf.sysstat \
	cf.testsetup \
	cf.ldap2zone \
	cfd.conf \
	cfengine.conf

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	asound.conf \
	apt/apt.conf.d/90squid \
	apt/apt.conf.d/99-edu-prefer-iceweasel \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern. \
	bind/db.subnet01.intern. \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/06debian-edu-iceweasel-ltsp \
	X11/Xsession.d/09debian-edu-missing-home \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	desktop-profiles/debian-edu-config.listing \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	default/munin-node \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
	dhcp/dhclient-exit-hooks.d/hostname \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	dovecot/local.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	gosa/gosa.conf \
	php5/apache2/php-debian-edu.ini \
	insserv/overrides/kdm \
	insserv/overrides/ntp \
	insserv.conf.d/debian-edu-config \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-squeeze_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	samba/netlogon/1stlogon/1stlogon.bat \
	samba/netlogon/config/get_time.bat \
	samba/netlogon/config/penguin.bat \
	samba/netlogon/config/setglobals.bat \
	samba/netlogon/config/standarddrives-students.bat \
	samba/netlogon/config/standarddrives-teachers.bat \
	samba/netlogon/debian-edu-login.bat \
	samba/netlogon/_default_/default.bat \
	samba/netlogon/install/shortcut.vbs \
	samba/netlogon/logon-admins.bat \
	samba/netlogon/logon-jradmins.bat \
	samba/netlogon/logon-students.bat \
	samba/netlogon/logon-teachers.bat \
	samba/netlogon/mozilla/firefox/prefs.js \
	samba/netlogon/mozilla/mkmozapd.bat \
	samba/netlogon/mozilla/profiles.ini.FIREFOX \
	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
	samba/smb-debian-edu-client.conf \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	samba/samba-domain-policy.ldif \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	smbldap-tools/smbldap_bind.conf \
	smbldap-tools/smbldap.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default \
	apache2/sites-available/debian-edu-ssl-default \
	apache2/conf.d/debian-edu-config-doc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf \
	powerdns/pdns.d/pdns-debian-edu.conf \
	dbus-1/system.d/hal-debian-edu.conf \
	nbd-server/conf.d/debian-edu.conf

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	ltspfs/mounter.d/edu-notify \
	mklocaluser.d/20-debian-edu-config \
	NetworkManager/dispatcher.d/02debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	resolvconf/update.d/ltsp-chroots \
	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
	X11/Xsession-debian-edu \
	samba/smbaddclient.sh \
	samba/smbldap-machineadd-gosa

SCHEMAS = \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	firstuser.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	ldap-server-getcert \
	mkslapdcert \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.de \
	index.html.en \
	index.html.es \
	index.html.fr \
	index.html.it \
	index.html.ja \
	index.html.nb \
	index.html.nl \
	index.html.pt \
	index.html.ru \
	index.html.ro \
	index.html.zh \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

KIOSKFILES = \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/chguserpw.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gcompris.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gimp-2.2.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
	share/debian-edu/students/share/config/kdeglobals \
	share/debian-edu/students/share/config/konqiconviewrc \
	share/debian-edu/students/share/config/uiserverrc \
	share/debian-edu/students/share/services/update_ksycoca \
	share/debian-edu/students/share/config/menus/applications.menu \
	share/debian-edu/students/share/config/menus/kde-applications.menu \
	share/debian-edu/students/share/applications/kalzium.desktop \
	share/debian-edu/students/share/applications/kbruch.desktop \
	share/debian-edu/students/share/applications/klatin.desktop \
	share/debian-edu/students/share/applications/kmplot.desktop \
	share/debian-edu/students/share/applications/kpercentage.desktop \
	share/debian-edu/students/share/applications/kstars.desktop \
	share/debian-edu/students/share/applications/kturtle.desktop \
	share/debian-edu/students/share/applications/kvoctrain.desktop \
	share/debian-edu/students/share/applications/kwordquiz.desktop \
	share/debian-edu/students/share/applications/oocalc.desktop \
	share/debian-edu/students/share/applications/ooimpress.desktop \
	share/debian-edu/students/share/applications/oowriter.desktop  \
	share/debian-edu/root/share/apps/kdesktop/Desktop/tjener.desktop

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

# Samba roaming profile examples in different languages
	set -e ; for l in en de nb; do \
	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-$$l.conf \
	$(DESTDIR)$(docdir)/examples/smb-roaming-profiles-$$l.conf ; \
	done

	set -e ; for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	set -e ; for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/auto-addfirmware \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/debian-edu-winbind \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/iceweasel-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap2bind-updatezonelist \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ltsp-addfirmware \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/notify-local-users \
		share/debian-edu-config/tools/password-fix-squeeze-r0 \
		share/debian-edu-config/tools/pipegraph \
		share/debian-edu-config/tools/preseed-ldap-kerberos \
		share/debian-edu-config/tools/preseed-sitesummary \

=== www/Makefile ===
#
# To migrate one of the existing HTML based translations to .po based
# translation, make sure this command work:
#   po4a-gettextize -M UTF-8 -f xhtml -m index.html.en -L UTF-8 -l index.html.XX -p XX.po
# For this to work, the index.html.XX need to be valid XHTML, and have the same structure
# as the english original.  xmllint can be used to find XML errors.

WEBPAGES = \
  index.html.da \
  index.html.de \
  index.html.en \
  index.html.ca \
  index.html.es \
  index.html.nl \
  index.html.nb \
  index.html.fr \
  index.html.it \
  index.html.ja \
  index.html.pt \
  index.html.ro \
  index.html.ru \
  index.html.zh 

all: $(WEBPAGES)

$(WEBPAGES): %.po

%.po: index.html.en
	po4a po4a.cfg

stats:
	@echo "www translations"
	@for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done
	@echo "debconf translations"
	@cd ../debian/po; for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done

clean:

=== debian/changelog ===
debian-edu-config (1.716) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Only set owner for /var/opt/ltsp/swapfiles to the nbd user if the
    user exist.  Fixes installation problem.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Sep 2013 09:25:56 +0200

debian-edu-config (1.716~svn82345) unstable; urgency=low

  [ Wolfgang Schweer ]
  * Fix nbd server setup:
    - cf/cf.ltsp: Adjust swapfile directory ownership to user and group
      nbd.
    - Add configuration snippet debian-edu.conf to nbd-server/conf.d:
      setting default swap file size 64MB, allow all clients to connect
      by omitting value for 'authfile' as wildcards like 10.0.0.0/8 don't
      seem to be allowed in such a file.
  * Remove filesize statement from nbd-server/conf.d/debian-edu.conf,
    cause the default LTSP swap file size (512MB) should be kept.

  [ Petter Reinholdtsen ]
  * Make sure to fix permission of /var/opt/ltsp/swapfiles on upgrades
    too.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 13 Sep 2013 08:05:35 +0200

debian-edu-config (1.715) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Adjust auto-addfirmware to make the apt source file readable for
    everyone.  Nothing secret there, and apt refuse to run for
    non-root users if some source lists are unreadable.
  * Start on migration system from Squeeze to Wheezy.  New
    tool ldap-migrate-squeeze-wheezy added to source.  When it
    is more robust it should be part of the binary package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 02 Sep 2013 18:24:58 +0200

debian-edu-config (1.714) unstable; urgency=low

  * Uploaded to the Debian Edu archive as debian-edu-config 1.714~svn82279:

  [ Petter Reinholdtsen ]
  * Adjust LTSP build to mount /sys in LTSP chroot during built, to
    fix problem with oss-compat installation on some machine, where
    modprobe snd-seq calls itself recursively.

  * Uploaded to the Debian Edu archive as debian-edu-config 1.714~svn82272:

  [ Petter Reinholdtsen ]
  * Fix typo in show-welcome-webpage, and quiet down script.

  [ Holger Levsen ]
  * debian-edu-config.postrm: rm -f /etc/default/enable-nat, /etc/kderc,
    /etc/kde-user-profile and /var/lib/dovecot/auth_success.

  * Uploaded to the Debian Edu archive as debian-edu-config 1.714~svn82256:

  [ Wolfgang Schweer ]
  * Fix cf/cf.ntp to make line matching work.
  * Remove cf/cf.lwat, cause lwat is no longer installed.
  * Remove cf.lwat from Makefile and cf/cfengine.conf.
  * Update postinst to reflect the change.

  * Uploaded to the Debian Edu archive as debian-edu-config 1.714~svn82243:

  [ Wolfgang Schweer ]
  * init-ltsp.d/08-edu-hostname: fix typos.
  * init-ltsp.d/60-edu-diskless-ws:
     - set proxies by calling 'update-proxy-from-wpad' directly instead
       of using dhclient.
     - remove all internet connectivity needing ntp servers from
       /etc/ntp.conf to avoid useless lookups.

  [ Petter Reinholdtsen ]
  * Rewrite code finding the localized welcome page to handle the fact
    that $LANGCODE can contain multiple values separated by colon.
  * Rewrite code to show welcome page to show
    http://www.skolelinux.org/ if no URL is found in LDAP.
  * Move code to remove unwanted NTP servers from the NTP setup on
    LTSP clients from init-ltsp.d/60-edu-diskless-ws to cf/cf.ntp, to
    make sure it is only done once during installation and not every
    time a client boot.
  * Move code to update proxy settings in the LTSP chroot from
    init-ltsp.d/60-edu-diskless-ws to
    resolvconf/update.d/ltsp-chroots, to do it when DNS settings
    change instead of every client boot.

  * Uploaded to the Debian Edu archive as debian-edu-config 1.714~svn82232:

  [ Petter Reinholdtsen ]
  * Fix typos blocking the init-ltsp.d/08-edu-hostname from working.

  * Uploaded to the Debian Edu archive as debian-edu-config 1.714~svn82224:

  [ Petter Reinholdtsen ]
  * Make sure LTSP host name setting work properly by calling
    ltsp-init-ltsp.d/10-resolv-conf before 08-edu-hostname, thus
    allowing DNS lookups to determine host name and shave 10 seconds
    from the boot time.  Thanks to Wolfgang Schweer for discovering
    the problem.
  * Add code in postrm to remove the files /etc/default/enable-nat,
    /var/lib/dovecot/auth_success, /etc/kde-user-profile and
    /etc/kderc during purge, to remove all traces of our package.
    Thank you piuparts for discovering the issue.
  * Stop using absolute path to update-alternatives in
    /etc/apt/apt.conf.d/99-edu-prefer-iceweasel (Closes: #720575).
    Thanks to Sharon Kimble for noticing and Guillem Jover for finding
    the cause.

  * Uploaded to the Debian Edu archive as debian-edu-config 1.714~svn82213:

  [ Wolfgang Schweer ]
  * Fix KDE proxy settings by changing ioslaverc to use
    http://wpad/wpad.dat for proxy settings (ProxyType=2) instead of
    depending on KDE to find the proxy on its own (ProxyType=3).
  * Show localized welcomepage for supported languages by checking
    www/index.html.$LANGCODE in share/tools/show-welcome-page.

  [ Petter Reinholdtsen ]
  * Make sure gosa-create ignore errors from nscd, as the calls will
    fail if nscd isn't running, and in that case we do not need to
    invalidate the caches (Closes: #720396).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 31 Aug 2013 13:15:53 +0200

debian-edu-config (1.713) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Rewrite ldap-debian-edu-install to use 'net getdomainsid' instead of
    'net getlocalsid' to get the domain SID, based on feedback from Mike
    Gabriel.  It should give separate SIDs for tjener and the domain.

  * Uploaded to the Debian Edu archive as debian-edu-config 1.713~svn82149:

  [ Petter Reinholdtsen ]
  * Wrap long comment lines in ldap-debian-edu-install.
  * Get samba working again by changing ldap-debian-edu-install to
    make sure the SID stored in LDAP is the SID generated by samba
    when samba is first set up with the temporary configuration.



=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
 Holger Levsen <holger@debian.org>,
 Patrick Winnertz <winnie@debian.org>,
 Vagrant Cascadian <vagrant@debian.org>,
 Andreas B. Mundt <andi.mundt@web.de>,
 Mike Gabriel <sunweaver@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7), python-support
Build-Depends-Indep: po-debconf, po4a
Homepage: http://www.skolelinux.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-edu/trunk/src/debian-edu-config/
Vcs-Svn: svn://anonscm.debian.org/debian-edu/trunk/src/debian-edu-config/

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, debconf-utils, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, lsb-release, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, discover, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.853), net-tools, patch, base-files (>= 5.3), python-notify, libterm-readkey-perl, fping, ldap-utils, libnet-netmask-perl, smbldap-tools (>= 0.9.7-1), lockfile-progs, libproxy-tools, libwebkitgtk-1.0-0
Recommends: resolvconf, ddccontrol | xresprobe, syslinux, memtest86+, libnotify-bin, lsof, binutils
Suggests: atftpd | tftpd-hpa
Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5), debian-edu-install (<< 1.521~svn74617)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

Package: debian-edu-config-gosa-netgroups
Architecture: all
Depends: ${misc:Depends}, gosa
Conflicts: gosa (<< 2.7)
Description: netgroups plugin for GOsa²
 NIS Netgroups plugin.
 .
 GOsa² is a combination of system-administrator and end-user web
 interface, designed to handle LDAP based setups.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	dh_clean

binary-arch: 

binary-indep: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_install --exclude=.svn
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script iceweasel-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start
	dh_installchangelogs
	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
	dh_link
	dh_gencontrol
	dh_gconf  --priority=50
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean checkroot

## debian-edu-config 1.815

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 PACKAGE = debian-edu-config
 
 PROGS = \
+	debian-edu-current-codename \
 	debian-edu-ldapserver \
 	debconf-set-selections-edu \
 	ltsp-arch-debian-edu \
@@ -31,6 +32,7 @@
 mandir     = $(prefix)/share/man
 gosadir    = $(sysconfdir)/gosa
 ldapdir    = $(sysconfdir)/ldap
+slbackupphpdir = $(sysconfdir)/slbackup-php
 schemadir  = $(ldapdir)/schema
 dhcpdir   = $(sysconfdir)/dhcp
 libdir     = /usr/lib
@@ -99,6 +101,7 @@
 	cfengine/update.conf \
 	cfengine/inputs/cfagent.conf \
 	cups/cupsd-debian-edu.conf \
+	dhcp/dhclient-exit-hooks.d/autofs-reload \
 	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
 	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
 	dhcp/dhclient-exit-hooks.d/hostname \
@@ -112,7 +115,6 @@
 	php5/apache2/php-debian-edu.ini \
 	insserv/overrides/kdm \
 	insserv/overrides/ntp \
-	insserv.conf.d/debian-edu-config \
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-squeeze_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
@@ -144,15 +146,16 @@
 	samba/samba-domain-policy.ldif \
 	security/pam_mount-winbind-debian-edu.conf \
 	security/pam_mount-stateless-debian-edu.conf \
+	slbackup-php/config.php \
 	smbldap-tools/smbldap_bind.conf \
 	smbldap-tools/smbldap.conf \
 	sssd/sssd-debian-edu.conf \
 	xdg/autostart/welcome-webpage.desktop \
 	lsb-release \
 	apache2/mods-available/debian-edu-userdir.conf \
-	apache2/sites-available/debian-edu-default \
-	apache2/sites-available/debian-edu-ssl-default \
-	apache2/conf.d/debian-edu-config-doc \
+	apache2/sites-available/debian-edu-default.conf \
+	apache2/sites-available/debian-edu-ssl-default.conf \
+	apache2/conf-available/debian-edu-config-doc.conf \
 	nagios3/debian-edu/cgi.cfg \
 	nagios3/debian-edu/commands.cfg \
 	nagios3/debian-edu/contactgroups.cfg \
@@ -173,7 +176,6 @@
 	nagios3/debian-edu/timeperiods.cfg \
 	munin/debian-edu-munin-node.conf \
 	polkit-1/localauthority.conf.d/80-edu-admin.conf \
-	powerdns/pdns.d/pdns-debian-edu.conf \
 	dbus-1/system.d/hal-debian-edu.conf \
 	nbd-server/conf.d/debian-edu.conf
 
@@ -238,17 +240,20 @@
 
 WWWFILES = \
 	index.html.ca \
+	index.html.da \
 	index.html.de \
 	index.html.en \
 	index.html.es \
 	index.html.fr \
+	index.html.id \
 	index.html.it \
 	index.html.ja \
 	index.html.nb \
 	index.html.nl \
 	index.html.pt \
+	index.html.pt_BR \
+	index.html.ro \
 	index.html.ru \
-	index.html.ro \
 	index.html.zh \
 	skl-ren_css.css \
 	logo-trans.png \
@@ -344,10 +349,10 @@
 	set -e ; for f in \
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
-		share/debian-edu-config/tools/auto-addfirmware \
 		share/debian-edu-config/tools/passwd \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
+		share/debian-edu-config/tools/debian-edu-bless \
 		share/debian-edu-config/tools/debian-edu-winbind \
 		share/debian-edu-config/tools/get-default-homepage \
 		share/debian-edu-config/tools/gosa-create \
@@ -363,13 +368,10 @@
 		share/debian-edu-config/tools/locate-syslog-collector \
 		share/debian-edu-config/tools/logoutkill.sh \
 		share/debian-edu-config/tools/ltsp-addfirmware \
+		share/debian-edu-config/tools/ltsp-update-resolvconf \
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nbdquery \
 		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/notify-local-users \
-		share/debian-edu-config/tools/password-fix-squeeze-r0 \
-		share/debian-edu-config/tools/pipegraph \
-		share/debian-edu-config/tools/preseed-ldap-kerberos \
-		share/debian-edu-config/tools/preseed-sitesummary \

=== debian/changelog ===
debian-edu-config (1.815) unstable; urgency=medium

  [ Debconf translation updates ]
  * Spanish by Manuel "Venturi" Porras Peralta (Closes: #772143)

  [ Wolfgang Schweer ]
  * Configure dovecot-core SSL support:
    - cf/imap: Add shellcommand to create dovecot SSL certificate.
    - share/debian-edu-config/tools:  Add a script named
      debian-edu-dovecot-create-cert which does what the name tells
      and configures SSL support. The script is based upon code from
      debian-lan-config, thanks to Andreas B. Mundt.
      The package dovecot-core used to setup SSL support but dropped
      it recently (Closes: #772163, #772162).

 -- Holger Levsen <holger@debian.org>  Fri, 26 Dec 2014 18:41:44 +0100

debian-edu-config (1.814) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Extend grub workaround to automatically handle /dev/vd*, /dev/hd*
    and /dev/xvd* in addition to /dev/sd*, allowing virtual machines
    using virtio, Xen and the old device names to install
    automatically too (Closes: #769559).
  * Add new dhclient hook to work around bug #710490 where a race in
    autofs make it fail with slow DHCP servers (Closes: #769561).
  * In LTSP setup, allow the purging of openvpn to fail (which happen if
    it is unknown to apt), to get LTSP installation working using the
    usbstick ISO (Closes: #770312).

  [ Wolfgang Schweer ]
  * testsuite/network: cover case that udev persistent network card rules
    file isn't written at all.
  * Provide slbackup-php configuration file etc/slbackup-php/config.php.
    Without a proper configuration the backupserver default 'localhost'
    leads to errors if 'https://backup/slbackup-php' isn't called on the
    backupserver. (Previously the default was 'backup'; it was changed to
    'localhost' some time ago to make the package useable on vanilla
    Debian systems, but a config file for Debian Edu wasn't provided.)
    (Closes: #769806).
  * sbin/debian-edu-pxeinstall: add 'mirror/http/mirror' (select entry)
    from the installed system to the preseed file to avoid manual
    selection during PXE installations. (Closes: #770302).

  [ Petter Reinholdtsen ]
  * Also set mirror/http/mirror when installing from DVD/USB stick.

 -- Holger Levsen <holger@debian.org>  Tue, 02 Dec 2014 12:53:53 +0100

debian-edu-config (1.813) unstable; urgency=medium

  * Make LTSP mirror editing more robust.  Do not add corrupt APT source
    when no dist value is set and only add our local mirror if it exist.
  * Add 30 second timeout and the number of tries to 3 in debian-edu-
    bless and ltsp script 000-arch-detection, to make sure blocked
    networks do not cause the installation to hang forever.
  * Reduce the versioned dependency on education-tasks from (>= 1.808)
    to (>= 1.806), avoiding a LTSP installation problem when installing
    i386 packages with our test repository.
  * Adjust 000-arch-detection LTSP script to set http_proxy from the APT
    setup before calling wget, in case the proxy is needed to reach the
    Internet.
  * Correct check for bug #765577 (duplicate udev rules for network
    card) to also work when more than one network card is present in the
    machine.
  * Implement script to remove duplicate udev network rules, to work
    around bug #765577.  This avoid complete network failure on
    machines affected by this bug.
  * Remove unused variable RUNXSERVER from the pre-pkgsel script.
  * Tell grub in our pre-pkgsel script to use the disk device used by
    /boot, to work around bug #712907.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2014 15:06:02 +0200

debian-edu-config (1.812) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Try to detect if bug #765577 cause network interfaces to get the
    wrong name in the network testsuite check.
  * Raise dependency on education-tasks to (>= 1.808), to ensure we get
    the Jessie tasks.
  * Use isenkram instead of discover to report packages to install for
    the current hardware in the hardware check in the test suite.
    Drop discover from dependencies.

  [ Holger Levsen ]
  * Drop debian-edu-config-gosa-netgroups binary package as our fork is now
    obsolete as the gosa-plugin-netgroups source package provides it.
    gosa-plugin-netgroups is depended upon in the relevant task in the
    debian-edu package.
  * Drop debian/TODO.Squeeze, the content was obsolete anyway.
  * Drop cf/cf.pdns, we switched backed to bind9. Cleanup the installed file
    in postinst too.
  * Drop classes lenny and pdns in cf/cfengine.conf and lenny in cf/cf.kdm.
  * Drop kde3 handling in cf/cf.kdm.
  * Drop code from debian-edu-config.(preinst|postinst) handling upgrades
    from lenny area packages and earlier. Kept the squeeze stuff for people
    skipping a release. (Which is still unsupported but we can still be
    helpful.)
  * Drop share/debian-edu-config/default-ltsp-client-setup which only
    consisted of a comment saying "Settings moved to
    /usr/share/ltsp/ltsp_config.d/. The content was removed for Squeeze
    on 2010-08-18, and the file should be dropped for squeeze+1."
  * Drop dependency on base-files, which is of Priority: required.
  * Drop (/etc/)insserv.conf.d/debian-edu-config which only modified pdns
    init and (/etc/)powerdns/pdns.d/pdns-debian-edu.conf. Add cleanup code in
    postinst for upgrades from previous versions.
  * Remove kde3 handling code from
    share/ltsp/plugins/ltsp-build-client/Debian-custom/032-edu-pkgs.
  * Drop the following files from ldap-bootstrap: dhcp.ldif, dhcp_hosts.ldif,
    dns_arpa.ldif, dns_ranges.ldif and dns_skole.ldif. As described in
    ldap-bootstrap/README.unused-ldifs (also removed from SCM now) they have
    been unused since January 2012. (Closes: #766200)

  [ Wolfgang Schweer ]
  * sbin/debian-edu-ltsp: add '--eatmydata' to ltsp-client-builder options.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Oct 2014 22:50:57 +0200

debian-edu-config (1.811) unstable; urgency=high



## debian-edu-config 1.816

=== debian/changelog ===
debian-edu-config (1.816) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust etc/X11/Xsession.d/09debian-edu-missing-home to make the
    script work with kdm now setting $HOME=/ if the user's home
    directory isn't available at login time (and before the script is
    executed). (Closes: #774392).
  * etc/ldap/slapd-squeeze_debian-edu.conf: unset 'dbnosync' to avoid
    possible data loss. (Closes: #774610).

 -- Holger Levsen <holger@debian.org>  Tue, 06 Jan 2015 00:36:14 +0100

## debian-edu-config 1.818

=== debian/changelog ===
debian-edu-config (1.818) unstable; urgency=high

  [ Holger Levsen ]
  * testsuite/taskpkgs, kdm and network: drop tests for the Sugar profile as
    Sugar has been removed from Jessie, see #782504.

  [ Wolfgang Schweer ]
  * Remove Debian-custom/099-mount-cdrom cause this script might
    possibly conflict with ltsp-client-builder.udeb postinst.
    (Closes: #780740).
  * Add Debian-custom/080-eatmydata to enable the usage of eatmydata
    as default for all possible LTSP installation methods. Partially
    addresses #781515.
  * Add support for squid to squid3 migration:
    - Add share/debian-edu-config/tools/migrate-squid-to-squid3.
    - Adjust cf/cf.squid to run this script. (Closes: #779649).

 -- Holger Levsen <holger@debian.org>  Tue, 14 Apr 2015 19:49:34 +0200

debian-edu-config (1.817) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust sbin/debian-edu-pxeinstall to work with debian-installer-8:
    - replace 8.0 with 8 as di version number.
    - replace '--' with '---' as param delimiter. (Closes: #776763).

 -- Holger Levsen <holger@debian.org>  Tue, 03 Feb 2015 12:57:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/debian-edu-config

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

override_dh_installinit:
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script iceweasel-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start

override_dh_gconf:
	dh_gconf  --priority=50

## debian-edu-config 1.818+deb8u1

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	debian-edu-hwsetup \
 	debian-edu-ltsp \
 	debian-edu-ltsp-audiodivert \
+	debian-edu-nscd-netgroup-cache \
 	debian-edu-pxeinstall \
 	debian-edu-restart-services \
 	debian-edu-test-install \
@@ -357,9 +358,11 @@
 		share/debian-edu-config/tools/get-default-homepage \
 		share/debian-edu-config/tools/gosa-create \
 		share/debian-edu-config/tools/gosa-create-host \
+		share/debian-edu-config/tools/gosa-lock-user \
 		share/debian-edu-config/tools/gosa-remove \
 		share/debian-edu-config/tools/gosa-sync \
 		share/debian-edu-config/tools/gosa-sync-dns-nfs \
+		share/debian-edu-config/tools/gosa-unlock-user \
 		share/debian-edu-config/tools/iceweasel-plugin-support \
 		share/debian-edu-config/tools/kerberos-kdc-init \
 		share/debian-edu-config/tools/ldap2bind-updatezonelist \
@@ -372,6 +375,3 @@
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nbdquery \
-		share/debian-edu-config/tools/nbdswap-cleanup \
-		share/debian-edu-config/tools/nightkill.sh \
-		share/debian-edu-config/tools/notify-local-users \

=== debian/changelog ===
debian-edu-config (1.818+deb8u1) jessie; urgency=low

  [ Petter Reinholdtsen ]
  * Translation updates:
    - Updated Brazilian Portuguese translation for debconf questions
      (Closes: #785467).  Translated by Adriano Rafael Gomes.

  [ Mike Gabriel ]
  * Add quotes around DNs when evoking kadmin.local in gosa-create and
    gosa-create-host. (Closes: #792042).
  * debian-edu-fsautoresize: Always use mapper names instead of kernel names
    when detecting supported mount points. (Closes: #800651). Thanks
    to Wolfgang Schweer and Giorgio Pioda.
  * gosa-sync: Test if a given user account actually is a Kerberos account. If
    not, don't try to set the Kerberos password for this account. (Closes:
    #798435).
  * gosa-sync: Fix escaping double quotes and semicolons. (Closes: #794000).
  * exim4 mainserver configuration: Allow Debian Edu clients on the default
    Debian Edu network to directly send mails to the main server (by white-
    listing the 10./8 network). This fixes console mailing and system mails
    on Debian Edu clients (Closes: #794602).
  * Set configVersion="Managed-by-Debian-Edu" in gosa.conf. (Closes: #794189).
    This requires gosa (>= 2.7.4+reloaded2-1+deb8u2~) to be installed on the
    main server.
  * wpad.dat: Use DIRECT connects for URL hosts being in network 127./8 and
    for hosts being in the .local domain. (Closes: #803911).
  * GOsa: Add POSTLOCK and POSTUNLOCK hooks for GOsa password locking. These
    hook scripts (gosa-lock-user, gosa-unlock-user) take care of locking/
    unlocking the Kerberos part of user accounts. (Closes: #804207).
  * Adapt to a code injection prevention fix in GOsa (starting with Debian
    package gosa 2.7.4+reloaded2-1+deb8u2): Don't mention the sambaHashHook
    parameter in gosa.conf anymore (as hashed passwords now have to be base64
    encoded). Already existing gosa.conf files on deployed servers should drop
    the sambaHashHook from the gosa.conf file, as well, once gosa is updated to
    the above referenced GOsa version.
  * CUPS: Do hostname lookups, so https redirects are done to the FQDN of the
    CUPS server instead of to its IP address. (Closes: #805402).
  * Improve gosa-lock-user, gosa-unlock-user: When logging success/failure,
    differentiate between non-existent and non-kerberized accounts.
  * Don't create home dir and Kerberos principal for GOsa user template
    account. (Closes: #815040).

  [ Wolfgang Schweer ]
  * Adjust tools/subnet-change for squid3. (Closes: #800654)
  * Fix XML syntax error in gosa.conf. (Closes: #820551).
  * Add script sbin/debian-edu-nscd-netgroup-cache (workaround for #791562).

 -- Holger Levsen <holger@debian.org>  Wed, 25 May 2016 00:21:53 +0200

## debian-edu-config 1.818+deb8u2

=== Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	cf.exim \
 	cf.imap \
 	cf.homes \
-	cf.iceweasel \
+	cf.firefox-esr \
 	cf.inetd \
 	cf.kdm \
 	cf.krb5client \
@@ -82,7 +82,7 @@
 SYSCONFFILES = \
 	asound.conf \
 	apt/apt.conf.d/90squid \
-	apt/apt.conf.d/99-edu-prefer-iceweasel \
+	apt/apt.conf.d/99-edu-prefer-firefox \
 	bind/named.conf.ldap2zone \
 	bind/db.intern \
 	bind/db.10.in-addr.arpa. \
@@ -91,7 +91,7 @@
 	bind/db.0.168.192.in-addr.arpa. \
 	bind/db.1.168.192.in-addr.arpa. \
 	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
-	X11/Xsession.d/06debian-edu-iceweasel-ltsp \
+	X11/Xsession.d/06debian-edu-firefox-ltsp \
 	X11/Xsession.d/09debian-edu-missing-home \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
 	desktop-profiles/debian-edu-config.listing \
@@ -112,6 +112,7 @@
 	exim4/exim-ldap-client-v4.conf \
 	exim4/exim-ldap-server-v4.conf \
 	filesystems \
+	firefox-esr/debian-edu.js \
 	gosa/gosa.conf \
 	php5/apache2/php-debian-edu.ini \
 	insserv/overrides/kdm \
@@ -363,7 +364,7 @@
 		share/debian-edu-config/tools/gosa-sync \
 		share/debian-edu-config/tools/gosa-sync-dns-nfs \
 		share/debian-edu-config/tools/gosa-unlock-user \
-		share/debian-edu-config/tools/iceweasel-plugin-support \
+		share/debian-edu-config/tools/firefox-plugin-support \
 		share/debian-edu-config/tools/kerberos-kdc-init \
 		share/debian-edu-config/tools/ldap2bind-updatezonelist \
 		share/debian-edu-config/tools/ldap-user-clean-attic.sh \

=== debian/changelog ===
debian-edu-config (1.818+deb8u2) jessie; urgency=medium

  [ Wolfgang Schweer ]
  * Take 2b2a657f from sid on cf/cf.ldapclient: don't purge libnss-mdns
    cause cups now needs mdns for automatic printer detection.
    (Closes: #825919).
  * dhclient-exit-hooks.d/hostname: adjust for the case of a dedicated
    LTSP server. (Closes: #783087).
  * Adjust ldap-tools/ldap-debian-edu-install to be compliant with systemd
    now that unit samba.service is masked (see #769714). (Closes: #826201).
  * Move from Iceweasel to Firefox ESR: (Closes: #827448)
    - rename several files containing iceweasel and also the directory
      share/iceweasel.
    - replace iceweasel with firefox-esr in various files.
    - use '/etc/firefox-esr' as place for firefox preference files.
    - update Makefile.
    - Add code to cleanup iceweasel and firefox-esr related conffiles in
      postinst and preinst scripts.
    - Adjust testsuite/ltsp and testsuite/webserver as
      /etc/firefox-esr/cert_override.txt is no longer useful.
    - Adjust sbin/snakeoil-on-ice as only the /etc/skel location on the main
      server seems to be useful for the certificate override file.
    - Move debian-edu.js -> etc/firefox-esr/debian-edu.js as this is the
      location for syspref now.

  [ Mike Gabriel ]
  * Iceweasel -> Firefox transition: system-wide, non-configurable browser
    defaults now go into /usr/share/firefox-esr/browser/defaults/, not
    /usr/share/firefox/defaults/.
  * Rename cf.firefox to cf.firefox-esr and make sure it operated on
   /etc/firefox-esr.
  * firefox-networked-prefs.js: Fix configuration folder in comment.
  * sbin/snake-on-ice: Rename /etc/firefox to /etc/firefox-esr. Only
    declare OVERRIDE_FILE once and then use it accordingly (instead
    of hard-coding /etc/firefox(-esr) several times. Use more quotes.
  * debian/dirs: We ship /etc/firefox-esr, not /etc/firefox.
  * kickoffrc: Use firefox-esr.desktop, rather than firefox.desktop.
  * testsuite/ltsp: Check presence of cert_override.txt in /etc/firefox-esr/,
    rather than /etc/firefox/.
  * testsuite/webserver: Dito (check presence of cert_override.txt in /etc/firefox-esr/,
    rather than /etc/firefox/).

  [ Holger Levsen ]
  * Move code to cleanup /usr/share/pam-configs/krb5 diversion from postinst
    to preinst to ease upgrades from old wheezy installations.
    (Closes: #779641)
  * Adjust cf.krb5client to ensure that cfengine runs are idempotent.
    (Closes: #779642) - Patch taken from master branch from Wolfgang.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Sep 2016 17:31:42 +0200

=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Andreas B. Mundt <andi.mundt@web.de>,
           Alexander Alemayhu <alexander@bitraf.no>,
           Mike Gabriel <sunweaver@debian.org>,
           Wolfgang Schweer <wschweer@arcor.de>,
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: po-debconf,
                     po4a
Homepage: http://www.skolelinux.org
Vcs-Browser: https://anonscm.debian.org/cgit/debian-edu/debian-edu-config.git/
Vcs-Git: git://anonscm.debian.org/debian-edu/debian-edu-config.git

Package: debian-edu-config
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         cfengine2,
         debconf-utils,
         debian-edu-artwork,
         desktop-profiles,
         education-tasks (>= 1.806),
         fping,
         host,
         isenkram-cli,
         ldap-utils,
         libconfig-inifiles-perl,
         libfilesys-df-perl,
         libhtml-fromtext-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libnet-netmask-perl,
         libpam-python,
         libproxy-tools,
         libproxy1-plugin-kconfig,
         libproxy1-plugin-mozjs,
         libproxy1-plugin-networkmanager,
         libterm-readkey-perl,
         libtext-unaccent-perl,
         lockfile-progs,
         lsb-base,
         lsb-release,
         mime-support,
         net-tools,
         netcat,
         ng-utils,
         openssl,
         patch,
         python,
         python-notify,
         smbldap-tools (>= 0.9.7-1),
         ssl-cert,
         swaks,
         tftp | tftp-hpa,
         uuid,
Recommends: binutils,
            ddccontrol | xresprobe,
            libnotify-bin,
            lsof,
            memtest86+,
            resolvconf,
            syslinux
Suggests: atftpd | tftpd-hpa
Breaks: debian-edu-install (<< 1.811),
        dhcp3-client (<< 4.1.1-P1-9),
        dhcp3-server (<< 4.1.1-P1-9),
        nslcd (<< 0.7.7),
        slapd (<< 2.4.23-5)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	# Start it after 15bind9 and 19slapd
 	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
 	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
-	dh_installinit --init-script iceweasel-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
+	dh_installinit --init-script firefox-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
 	dh_installinit --init-script enable-nat --no-start
 
 override_dh_gconf:

## debian-edu-config 1.818+deb8u3

=== debian/changelog ===
debian-edu-config (1.818+deb8u3) jessie-security; urgency=high

  * Security fix for CVE-2019-3467

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Set proper rights for users in kadm5.acl file. (Closes: #946797)
  * Adjust debian/debian-edu-config.postinst to fix kadm5.acl upon upgrades.

  [ Holger Levsen ]
  * Improve debian/debian-edu-config.postinst fix to only run once on
    upgrades.

  [ Dominik George ]
  * Add NEWS to warn administrators with possible local changes.

 -- Dominik George <natureshadow@debian.org>  Tue, 17 Dec 2019 18:38:50 +0100
